Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.headers
Class Header

    java.lang.Object
      org.apache.cxf.headers.Header

    public class Header

extends java.lang.Object

Nested Class Summary
`static class` | `Header.Direction`

Field Summary
`static java.lang.String` | `HEADER_LIST`

Constructor Summary
`Header(javax.xml.namespace.QName q, java.lang.Object o)`
`Header(javax.xml.namespace.QName q, java.lang.Object o, DataBinding b)`

Method Summary
`DataBinding` | `getDataBinding()`
`Header.Direction` | `getDirection()`
`javax.xml.namespace.QName` | `getName()`
`java.lang.Object` | `getObject()`
`void` | `setDataBinding(DataBinding dataBinding)`
`void` | `setDirection(Header.Direction hdrDirection)`
`void` | `setName(javax.xml.namespace.QName name)`
`void` | `setObject(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_LIST

    public static final java.lang.String HEADER_LIST

Constructor Detail

### Header

    public Header(javax.xml.namespace.QName q,
                  java.lang.Object o)

### Header

    public Header(javax.xml.namespace.QName q,
                  java.lang.Object o,
                  DataBinding b)

Method Detail

### getDataBinding

    public DataBinding getDataBinding()

### setDataBinding

    public void setDataBinding(DataBinding dataBinding)

### getName

    public javax.xml.namespace.QName getName()

### setName

    public void setName(javax.xml.namespace.QName name)

### getObject

    public java.lang.Object getObject()

### setObject

    public void setObject(java.lang.Object object)

### setDirection

    public void setDirection(Header.Direction hdrDirection)

### getDirection

    public Header.Direction getDirection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF